extends master.pug

block head
  if injectCode.css
    style(type='text/css')!= injectCode.css

block body
  #root
    editor(
      :page-id=page.id
      locale=page.localeCode
      path=page.path
      title=page.title
      description=page.description
      :tags=page.tags
      :is-published=page.isPublished
      publish-start-date=page.publishStartDate
      publish-end-date=page.publishEndDate
      script-css=page.extra.css
      script-js=page.extra.js
      init-mode=page.mode
      toc-options=Buffer.from(JSON.stringify(page.tocOptions)).toString('base64')
      init-editor=page.editorKey
      init-content=page.content
      checkout-date=page.updatedAt
      effective-permissions=Buffer.from(JSON.stringify(effectivePermissions)).toString('base64')
      )
